.\"	$NetBSD: skeyinit.1,v 1.13 2005/09/11 23:26:14 wiz Exp $
.\"	@(#)skeyinit.1	1.1 	10/28/93
.\"
.Dd September 19, 2005
.Dt SKEYINIT 1
.Os
.Sh NAME
.Nm skeyinit
.Nd change password or add user to S/Key authentication system
.Sh SYNOPSIS
.Nm
.Op Fl sxz
.Op Fl k Ar passphrase
.Op Fl n Ar count
.Op Fl p Ar password
.Op Fl t Ar hash
.Op Ar user
.Sh DESCRIPTION
.Nm
initializes the system so you can use S/Key one-time passwords to login.
The program will ask you to enter a secret pass phrase;
enter a phrase of several words in response.
After the S/Key database
has been updated you can login using either your regular password
or using S/Key one-time passwords.
.Pp
.Nm
requires you to type a secret password, so it should be used
only on a secure terminal.
.Sh OPTIONS
.Bl -tag -width Ds
.It Fl k Ar passphrase
Use pass phrase
.Ar passphrase
instead of asking for one to be entered.
.It Fl n Ar count
Start the
.Xr skey 1
sequence at
.Ar count
(default is 100).
.It Fl p Ar password
Use password
.Ar password
instead of asking for one to be entered.
.It Fl s
allows the user to set the seed and count for complete control
of the parameters.
To do this run
.Nm
in one window and put in your count and seed; then run
.Xr skey 1
in another window to generate the correct 6 english words
for that count and seed.
You can then
.Dq cut-and-paste
or type the words into the
.Nm
window.
.It Fl t Ar hash
Selects the hash algorithm to use.
Available choices are md4 (the default), md5, or sha1.
.It Fl x
Displays one-time password in hexadecimal instead of ASCII.
.It Fl z
Allows the user to zero their S/Key entry.
.It Ar user
The username to be changed/added.
By default the current user is operated on, only root may
change other user's entries.
.El
.Sh FILES
.Bl -tag -width /etc/skeykeys
.It Pa /etc/skeykeys
database of information for the S/Key system.
.El
.Sh SEE ALSO
.Xr skey 1 ,
.Xr skeyaudit 1 ,
.Xr skeyinfo 1
.Sh AUTHORS
.An Phil Karn
.An Neil M. Haller
.An John S. Walden
.An Scott Chasin
